Bug 1993072

Summary: CVE-2021-20314 libspf2: stack buffer overflow when processing SPF explanation macros [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Dhananjay Arunesh <darunesh>
Component: libspf2Assignee: Bojan Smojver <bojan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: epel7CC: tkorbar
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libspf2-1.2.11-1.20210922git4915c308.fc35 libspf2-1.2.11-1.20210922git4915c308.el8 libspf2-1.2.11-1.20210922git4915c308.el7 libspf2-1.2.11-1.20210922git4915c308.fc33 libspf2-1.2.11-1.20210922git4915c308.fc34 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-26 00:15:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1993070    

Description Dhananjay Arunesh 2021-08-12 10:30:03 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2021-08-12 10:30:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1993070,1993072

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin user for bugzilla script actions 2021-08-18 00:06:05 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2021-09-22 08:31:24 UTC
FEDORA-2021-044be3d54e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-044be3d54e

Comment 4 Fedora Update System 2021-09-22 08:31:27 UTC
FEDORA-2021-994751581f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-994751581f

Comment 5 Fedora Update System 2021-09-22 08:31:30 UTC
FEDORA-EPEL-2021-7d0a7b6146 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7d0a7b6146

Comment 6 Fedora Update System 2021-09-22 08:31:34 UTC
FEDORA-EPEL-2021-d179a438bc has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-d179a438bc

Comment 7 Fedora Update System 2021-09-22 08:31:37 UTC
FEDORA-2021-aa8637c985 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa8637c985

Comment 8 Fedora Admin user for bugzilla script actions 2021-09-22 12:06:17 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 9 Fedora Update System 2021-09-22 15:44:04 UTC
FEDORA-EPEL-2021-d179a438bc has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-d179a438bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-22 16:27:00 UTC
FEDORA-2021-994751581f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-994751581f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-994751581f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-22 16:29:08 UTC
FEDORA-2021-044be3d54e has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-044be3d54e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-044be3d54e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-22 16:33:38 UTC
FEDORA-EPEL-2021-7d0a7b6146 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7d0a7b6146

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-09-22 18:47:51 UTC
FEDORA-2021-aa8637c985 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-aa8637c985`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa8637c985

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-09-26 00:15:56 UTC
FEDORA-2021-aa8637c985 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-09-30 00:28:43 UTC
FEDORA-EPEL-2021-7d0a7b6146 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-09-30 00:50:17 UTC
FEDORA-EPEL-2021-d179a438bc has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-09-30 01:05:31 UTC
FEDORA-2021-044be3d54e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-09-30 01:13:37 UTC
FEDORA-2021-994751581f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.